Bug 997093 - ALSA kernel message for USB audio - "current rate 0 is different from the runtime rate X"
ALSA kernel message for USB audio - "current rate 0 is different from the run...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
19
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Jaroslav Kysela
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-14 12:11 EDT by john casey
Modified: 2015-02-17 11:45 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:45:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/bin/alsa-info (27.14 KB, application/x-shellscript)
2013-08-14 12:11 EDT, john casey
no flags Details

  None (edit)
Description john casey 2013-08-14 12:11:47 EDT
Created attachment 786600 [details]
/bin/alsa-info

I submitted this to Bug 798844 & 830615 as these all seem to be duplicates and reocurring on subsquent versions of Fedora 16,17&18.  

This is still a problem as far as I can tell reading both bugs.  Not sure how to tell if it's in 19 kernel; at the moment I cannot upgrade to 19 to test.  


I hit this again on the latest F18 kernel. Logitech USB camera/mic while using skype.  I happens pretty regularly - hard to tell what causes it but if I use my mouse while in a skype call - this tends to trigger it.   If I go to sound manager and turn the logitech off and back on it resets and works again for a few seconds.

[root@prava-dev2 ~]# date
Wed Aug 14 08:01:44 PDT 2013

[root@prava-dev2 xinetd.d]# tail /var/log/messages
Aug 14 07:38:06 prava-dev2 kernel: [33600.262463] ALSA sound/usb/clock.c:315 current rate 0 is different from the runtime rate 32000
Aug 14 07:38:38 prava-dev2 kernel: [33632.720304] ALSA sound/usb/endpoint.c:391 cannot submit urb (err = -18)
Aug 14 07:38:38 prava-dev2 kernel: [33632.720313] ALSA sound/usb/endpoint.c:391 cannot submit urb (err = -18)
Aug 14 07:38:38 prava-dev2 kernel: [33632.720318] ALSA sound/usb/endpoint.c:391 cannot submit urb (err = -18)
Aug 14 07:38:38 prava-dev2 kernel: [33632.720323] ALSA sound/usb/endpoint.c:391 cannot submit urb (err = -18)
Aug 14 07:38:38 prava-dev2 kernel: [33632.720327] ALSA sound/usb/endpoint.c:391 cannot submit urb (err = -18)
Aug 14 07:38:38 prava-dev2 kernel: [33632.720332] ALSA sound/usb/endpoint.c:391 cannot submit urb (err = -18)
Aug 14 07:38:38 prava-dev2 kernel: [33632.720336] ALSA sound/usb/endpoint.c:391 cannot submit urb (err = -18)
Aug 14 07:38:38 prava-dev2 kernel: [33632.720341] ALSA sound/usb/endpoint.c:391 cannot submit urb (err = -18)

[root@prava-dev2 ~]# uname -a
Linux prava-dev2.home.lan 3.10.4-100.fc18.x86_64 #1 SMP Thu Aug 1 21:13:27 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

[root@prava-dev2 ~]# lsusb
Bus 002 Device 003: ID 0424:2514 Standard Microsystems Corp. USB 2.0 Hub
Bus 006 Device 002: ID 03f0:0117 Hewlett-Packard LaserJet 3200
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 007 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 008 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 004: ID 046d:0821 Logitech, Inc. HD Webcam C910

[root@prava-dev2 xinetd.d]# rpm -qa | grep alsa
alsa-plugins-pulseaudio-1.0.26-2.fc18.x86_64
alsa-tools-firmware-1.0.26.1-1.fc18.x86_64
alsa-lib-1.0.26-2.fc18.i686
alsa-utils-1.0.26-1.fc18.x86_64
alsa-lib-1.0.26-2.fc18.x86_64
alsa-firmware-1.0.25-2.fc18.noarch
alsa-lib-devel-1.0.26-2.fc18.x86_64
Comment 1 john casey 2013-08-17 12:54:07 EDT
I upgraded to FC19 and confirmed this is still a bug in 19.  Updating bug info to set to set bug report to FC19.  



[root@prava-dev2 ~]# date
Sat Aug 17 09:50:44 PDT 2013

[root@prava-dev2 ~]# uname -a
Linux prava-dev2.home.lan 3.10.6-200.fc19.x86_64 #1 SMP Mon Aug 12 14:49:42 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux


[root@prava-dev2 ~]# tail /var/log/messages
Aug 17 09:41:40 prava-dev2 kernel: [  172.924935] ALSA sound/usb/clock.c:315 current rate 2376843 is different from the runtime rate 32000
Aug 17 09:41:40 prava-dev2 kernel: [  172.929309] ALSA sound/usb/clock.c:315 current rate 16383 is different from the runtime rate 32000
Aug 17 09:42:07 prava-dev2 kernel: [  200.441112] ALSA sound/usb/clock.c:315 current rate 16223564 is different from the runtime rate 32000
Aug 17 09:42:07 prava-dev2 kernel: [  200.445360] ALSA sound/usb/clock.c:315 current rate 1345976 is different from the runtime rate 32000
Aug 17 09:42:11 prava-dev2 kernel: [  204.142756] ALSA sound/usb/endpoint.c:391 cannot submit urb (err = -18)
Aug 17 09:42:11 prava-dev2 kernel: [  204.142764] ALSA sound/usb/endpoint.c:391 cannot submit urb (err = -18)
Aug 17 09:42:11 prava-dev2 kernel: [  204.142769] ALSA sound/usb/endpoint.c:391 cannot submit urb (err = -18)
Aug 17 09:42:11 prava-dev2 kernel: [  204.142773] ALSA sound/usb/endpoint.c:391 cannot submit urb (err = -18)
Aug 17 09:42:11 prava-dev2 kernel: [  204.142778] ALSA sound/usb/endpoint.c:391 cannot submit urb (err = -18)
Aug 17 09:42:11 prava-dev2 kernel: [  204.142782] ALSA sound/usb/endpoint.c:391 cannot submit urb (err = -18)
Aug 17 09:42:11 prava-dev2 kernel: [  204.142786] ALSA sound/usb/endpoint.c:391 cannot submit urb (err = -18)
Aug 17 09:42:11 prava-dev2 kernel: [  204.142790] ALSA sound/usb/endpoint.c:391 cannot submit urb (err = -18)


[root@prava-dev2 ~]# lsusb
Bus 002 Device 004: ID 046d:0821 Logitech, Inc. HD Webcam C910
Bus 002 Device 003: ID 0424:2514 Standard Microsystems Corp. USB 2.0 Hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 008 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 007 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 006 Device 002: ID 03f0:0117 Hewlett-Packard LaserJet 3200
Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub


[root@prava-dev2 ~]# rpm -qa | grep alsa
alsa-utils-1.0.27.2-2.fc19.x86_64
alsa-lib-1.0.27.2-1.fc19.i686
alsa-plugins-pulseaudio-1.0.27-1.fc19.x86_64
alsa-lib-1.0.27.2-1.fc19.x86_64
alsa-tools-firmware-1.0.27-2.fc19.x86_64
alsa-firmware-1.0.27-1.fc19.noarch
alsa-lib-devel-1.0.27.2-1.fc19.x86_64
Comment 2 john casey 2013-08-26 23:34:08 EDT
This appears to have been fixed in the lastest FC19 kernel.  I still see the clock rate warning shown below but not the "endpoint.c error "cannot submit urb (err = -18).    

The USB microphone now seems to be stable.  I will continue to monitor this with future updates.  I also created a bug report to the alsa-user forums.  

Here's the details of my system. 

[root@prava-dev2 ~]# grep ALSA /var/log/messages | tail
Aug 26 17:41:33 prava-dev2 kernel: [312904.974384] ALSA sound/usb/clock.c:315 current rate 12032 is different from the runtime rate 32000
Aug 26 17:41:33 prava-dev2 kernel: [312904.978758] ALSA sound/usb/clock.c:315 current rate 6488111 is different from the runtime rate 32000
Aug 26 17:41:34 prava-dev2 kernel: [312906.008020] ALSA sound/usb/clock.c:315 current rate 16777215 is different from the runtime rate 32000
Aug 26 17:41:34 prava-dev2 kernel: [312906.012269] ALSA sound/usb/clock.c:315 current rate 5076085 is different from the runtime rate 32000
Aug 26 17:41:34 prava-dev2 kernel: [312906.035269] ALSA sound/usb/clock.c:315 current rate 25856 is different from the runtime rate 32000


[root@prava-dev2 ~]# uname -a
Linux prava-dev2.home.lan 3.10.9-200.fc19.x86_64 #1 SMP Wed Aug 21 19:27:58 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

[root@prava-dev2 ~]# rpm -qa | grep ALSA
[root@prava-dev2 ~]# rpm -qa | grep -i alsa
alsa-firmware-1.0.27-1.fc19.noarch
alsa-plugins-pulseaudio-1.0.27-1.fc19.x86_64
alsa-utils-1.0.27.2-2.fc19.x86_64
alsa-lib-1.0.27.2-1.fc19.i686
alsa-tools-firmware-1.0.27-2.fc19.x86_64
alsa-lib-devel-1.0.27.2-1.fc19.x86_64
alsa-lib-1.0.27.2-1.fc19.x86_64
Comment 3 Jean-Charles Malahieude 2014-01-11 06:11:03 EST
I have a similar problem as soon as USB camera is plugged in:

[root@localhost ~]# date
sam. janv. 11 12:09:29 CET 2014

[root@localhost ~]# uname -a
Linux localhost.localdomain 3.12.6-300.fc20.i686+PAE #1 SMP Mon Dec 23 17:02:24 UTC 2013 i686 i686 i386 GNU/Linux

[root@localhost ~]# grep ALSA /var/log/messages | tail
Jan 11 11:36:41 localhost kernel: [ 1668.361238] ALSA sound/usb/clock.c:315 current rate 15872 is different from the runtime rate 16000
Jan 11 11:38:19 localhost kernel: [   10.960424] ALSA sound/usb/clock.c:315 current rate 15872 is different from the runtime rate 16000
Jan 11 11:38:30 localhost kernel: [   36.408257] ALSA sound/usb/clock.c:315 current rate 15872 is different from the runtime rate 16000
Jan 11 11:38:30 localhost kernel: [   36.410007] ALSA sound/usb/clock.c:315 current rate 15872 is different from the runtime rate 16000
Jan 11 11:38:30 localhost kernel: [   36.474635] ALSA sound/usb/clock.c:315 current rate 15872 is different from the runtime rate 16000
Jan 11 11:38:30 localhost kernel: [   36.476260] ALSA sound/usb/clock.c:315 current rate 15872 is different from the runtime rate 16000
Jan 11 11:38:48 localhost kernel: [   54.228127] ALSA sound/usb/clock.c:315 current rate 15872 is different from the runtime rate 16000
Jan 11 11:38:48 localhost kernel: [   54.229747] ALSA sound/usb/clock.c:315 current rate 15872 is different from the runtime rate 16000
Jan 11 11:38:48 localhost kernel: [   54.258294] ALSA sound/usb/clock.c:315 current rate 15872 is different from the runtime rate 16000
Jan 11 11:38:48 localhost kernel: [   54.260039] ALSA sound/usb/clock.c:315 current rate 15872 is different from the runtime rate 16000

[root@localhost ~]# lsusb
Bus 002 Device 003: ID 093a:2700 Pixart Imaging, Inc. 
Bus 002 Device 002: ID 03f0:4e11 Hewlett-Packard PhotoSmart 2570 series
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 007 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 004 Device 002: ID 046d:c52f Logitech, Inc. Unifying Receiver
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub

[root@localhost ~]# rpm -qa | grep -i alsa
alsa-plugins-pulseaudio-1.0.27-2.fc20.i686
wine-alsa-1.7.8-1.fc20.i686
alsa-tools-firmware-1.0.27-3.fc20.i686
alsa-firmware-1.0.27-2.fc20.noarch
alsa-lib-1.0.27.2-2.fc20.i686
alsa-utils-1.0.27.2-4.fc20.i686
Comment 4 john casey 2014-03-02 19:56:32 EST
bump
Comment 5 Fedora End Of Life 2015-01-09 14:27:10 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-02-17 11:45:59 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.